libghc-unix-compat-dev_0.5.1-1+b3_i386.deb


Advertisement

Description

libghc-unix-compat-dev - Haskell portable POSIX-compatible layer

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libghc-unix-compat-dev_0.5.1-1+b3_i386.deb
Package name libghc-unix-compat-dev
Package version 0.5.1
Package release 1+b3
Package architecture i386
Package type deb
Category haskell
Homepage http://github.com/jystic/unix-compat
License -
Maintainer Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Download size 18.77 KB
Installed size 136.00 KB

Alternatives

Package Version Architecture Repository
libghc-unix-compat-dev_0.5.1-1+b3_amd64.deb 0.5.1 amd64 Debian Main
libghc-unix-compat-dev - - -

Requires

Name Value
libatomic1 >= 4.8
libc6 >= 2.3.6-6~
libghc-base-dev-4.12.0.0-701e2 -
libghc-unix-dev-2.7.2.2-58a43 -
libgmp10 -

Provides

Name Value
libghc-unix-compat-dev-0.5.1-79cbe -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libghc-unix-compat-dev_0.5.1-1+b3_i386.deb
Source Package haskell-unix-compat

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libghc-unix-compat-dev deb package:
    # sudo apt-get install libghc-unix-compat-dev

Files

Path
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/libHSunix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O-ghc8.6.5.so
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/libHSunix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O.a
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Extensions.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Extensions.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Files.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Files.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Temp.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Temp.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Time.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Time.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Types.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Types.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Unistd.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/Unistd.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/User.dyn_hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/System/PosixCompat/User.hi
/usr/lib/haskell-packages/ghc/lib/i386-linux-ghc-8.6.5/unix-compat-0.5.1-7L4ZE9qc5MBJa5Jne6W69O/include/HsUnixCompat.h
/usr/share/doc/libghc-unix-compat-dev/buildinfo_i386.gz
/usr/share/doc/libghc-unix-compat-dev/changelog.Debian.gz
/usr/share/doc/libghc-unix-compat-dev/changelog.Debian.i386.gz
/usr/share/doc/libghc-unix-compat-dev/copyright
/usr/share/lintian/overrides/libghc-unix-compat-dev
/var/lib/ghc/package.conf.d/unix-compat-0.5.1.conf

Changelog

2018-09-29 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-unix-compat (0.5.1-1) unstable; urgency=medium
[ Clint Adams ]
* Set Rules-Requires-Root to no.
[ Ilias Tsitsimpis ]
* Bump debhelper compat level to 10
* New upstream release
2018-04-09 - Clint Adams <clint@debian.org>
haskell-unix-compat (0.5.0.1-1) unstable; urgency=medium
[ Ilias Tsitsimpis ]
* Change Priority to optional. Since Debian Policy version 4.0.1,
priority extra has been deprecated.
* Use the HTTPS form of the copyright-format URL
* Modify d/watch and Source field in d/copyright to use HTTPS
* Declare compliance with Debian policy 4.1.1
* Use salsa.debian.org URLs in Vcs-{Browser,Git} fields
[ Clint Adams ]
* Bump to Standards-Version 4.1.4.
* New upstream release
2017-06-18 - Clint Adams <clint@debian.org>
haskell-unix-compat (0.4.3.1-1) unstable; urgency=medium
* New upstream release
2016-10-27 - Clint Adams <clint@debian.org>
haskell-unix-compat (0.4.2.0-2) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
2016-10-08 - Clint Adams <clint@debian.org>
haskell-unix-compat (0.4.2.0-1) experimental; urgency=medium
[ Dmitry Bogatov ]
* Use secure (https) uri in Vcs-Git field in 'debian/control'
* Bump standards version to 3.9.8 (no changes needed)
[ Clint Adams ]
* New upstream version.
2015-12-03 - Clint Adams <clint@debian.org>
haskell-unix-compat (0.4.1.4-4) unstable; urgency=medium
* Switch Vcs-Git/Vcs-Browser headers to new location.
2015-08-20 - Joachim Breitner <nomeata@debian.org>
haskell-unix-compat (0.4.1.4-3) experimental; urgency=medium
* Bump standards-version to 3.9.6
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
2015-04-27 - Joachim Breitner <nomeata@debian.org>
haskell-unix-compat (0.4.1.4-2) unstable; urgency=medium
* Upload to unstable
2015-04-16 - Joachim Breitner <nomeata@debian.org>
haskell-unix-compat (0.4.1.4-1) experimental; urgency=medium
* New upstream release
2014-12-20 - Joachim Breitner <nomeata@debian.org>
haskell-unix-compat (0.4.1.3-1) experimental; urgency=low
* Fix Vcs-Darcs url: http://darcs.debian.org/ instead of
http://darcs.debian.org/darcs/
* Adjust watch file to new hackage layout
* Depend on haskell-devscripts 0.9, found in experimental
* New upstream release

See Also

Package Description
libghc-unix-compat-doc_0.5.1-1_all.deb Haskell portable POSIX-compatible layer; documentation
libghc-unix-compat-prof_0.5.1-1+b3_i386.deb Haskell portable POSIX-compatible layer; profiling libraries
libghc-unix-time-dev_0.4.7-1_i386.deb Unix time parser/formatter and utilities
libghc-unix-time-doc_0.4.7-1_all.deb Unix time parser/formatter and utilities; documentation
libghc-unix-time-prof_0.4.7-1_i386.deb Unix time parser/formatter and utilities; profiling libraries
libghc-unixutils-dev_1.54.1-7+b3_i386.deb interface between Haskell and Unix-like operating systems
libghc-unixutils-doc_1.54.1-7_all.deb interface between Haskell and Unix-like operating systems; documentation
libghc-unixutils-prof_1.54.1-7+b3_i386.deb interface between Haskell and Unix-like operating systems; profiling libraries
libghc-unlambda-dev_0.1.4.2-5+b3_i386.deb Unlambda interpreter library
libghc-unlambda-doc_0.1.4.2-5_all.deb Unlambda interpreter library; documentation
libghc-unlambda-prof_0.1.4.2-5+b3_i386.deb Unlambda interpreter library; profiling libraries
libghc-unliftio-core-dev_0.1.2.0-2_i386.deb MonadUnliftIO typeclass for unlifting monads to IO
libghc-unliftio-core-doc_0.1.2.0-2_all.deb MonadUnliftIO typeclass for unlifting monads to IO; documentation
libghc-unliftio-core-prof_0.1.2.0-2_i386.deb MonadUnliftIO typeclass for unlifting monads to IO; profiling libraries
libghc-unliftio-dev_0.2.11-1_i386.deb MonadUnliftIO typeclass for unlifting monads to IO
Advertisement
Advertisement